Question Que puis-je faire si Synaptic ne peut pas obtenir la dernière version du logiciel?


J'utilise Synaptic pour la gestion des paquets sur Ubuntu 12 et j'essaie actuellement d'obtenir la nouvelle version de LAMPÉE - 2.0.9. Mon paquet actuellement installé swig dans Synaptic est la version 2.0.7-3ubuntu1. Je voudrais avoir la dernière version 2.0.9, comment puis-je l'avoir?


3
2017-12-30 03:34


origine


En relation (mais pas en double): Pourquoi ne puis-je pas mettre à jour les applications sans mettre à niveau l'ensemble du système d'exploitation? - Eliah Kagan


Réponses:


La meilleure façon d'obtenir la dernière version est de l'obtenir directement sur le site Web des auteurs.

Il faut du temps et de l'énergie pour transformer les logiciels en de jolis paquets Ubuntu. Parfois, il peut s'écouler un certain temps avant qu'il ne se produise dans les dépôts Ubuntu. Vous pouvez essayer d'activer les référentiels moins stables, tels que les backports, mais dans ce cas, SWIG 2.0.9 n'y figure pas. Parfois, il y a des dépôts non officiels, mais je ne pouvais pas en trouver à partir d'un rapide Google.

Il y a quelques points négatifs à cela. Le logiciel ne sera généralement pas mis à jour automatiquement, contrairement aux packages de référentiel. Le logiciel n’a pas été testé par Ubuntu pour la compatibilité, il pourrait donc y avoir quelques problèmes. Enfin, les dépendances sont parfois intégrées au logiciel lui-même. Le téléchargement manuel peut donc être supérieur à celui d’une version de référentiel.

De nouvelles versions d’Ubuntu sont disponibles tous les six mois. Dans chaque version d'Ubuntu, les nouvelles versions de logiciels qui ajoutent de nouvelles fonctionnalités ne sont généralement pas fournies. D'une manière générale, dans une seule version d'Ubuntu, seules les corrections de bugs de sécurité et de stabilité sérieuse sont déployées. La mise à niveau vers la prochaine version met à niveau le logiciel vers les versions considérées comme stables lors de la sortie de cette version. Vous pouvez parfois utiliser backports et PPA pour obtenir des logiciels plus récents dans une seule version, mais généralement si vous avez besoin de la dernière version d'un programme, vous devrez probablement télécharger son code source et construisez et installez vous-même (voir également ce howto).


5
2017-12-30 03:42



+1 Un autre problème est que si l'auteur ne les a pas emballés dans .deb fichiers, si vous essayez à nouveau d'installer à partir du Software Center, vous pouvez rencontrer des conflits entre les deux versions installées. Dans ce cas, vous devez supprimer la version installée via le site Web des auteurs avant de l'installer à partir de ce Software Center. - TrailRider
Bon point. En général, une fois que je vais sur le site Web de l'auteur, je ne regarde jamais en arrière, car je pense que les opérations de pension me manqueront à nouveau. - Sparhawk